## org.apache.tools.ant.taskdefs
Class Ant.Reference

    java.lang.Object
      org.apache.tools.ant.types.Reference
          org.apache.tools.ant.taskdefs.Ant.Reference

Enclosing class:
  Ant

public static class Ant.Reference
extends Reference

Helper class that implements the nested <reference> element of <ant> and <antcall>.

Constructor Summary
`Ant.Reference()` Creates a reference to be configured by Ant

Method Summary
`java.lang.String` `getToRefid()` Get the id under which this reference will be stored in the new project
`void` `setToRefid(java.lang.String targetid)` Set the id that this reference to be stored under in the new project.

Methods inherited from class org.apache.tools.ant.types.Reference
`getReferencedObject, getRefId, setRefId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ant.Reference

    public Ant.Reference()

  Creates a reference to be configured by Ant

Method Detail

### setToRefid

    public void setToRefid(java.lang.String targetid)

  Set the id that this reference to be stored under in the new project.

  Parameters:
    `targetid` - the id under which this reference will be passed to the new project

### getToRefid

    public java.lang.String getToRefid()

  Get the id under which this reference will be stored in the new project

  Returns:
    the id of the reference in the new project.

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.